Index: main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default/transform/home.xsl
===================================================================
--- main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default/transform/home.xsl	(revision 23632)
+++ main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default/transform/home.xsl	(revision 24007)
@@ -1,10 +1,10 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
 <xsl:stylesheet version="1.0"
+xmlns="http://www.w3.org/1999/xhtml"
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
   xmlns:java="http://xml.apache.org/xslt/java"
-  xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
   xmlns:gslib="http://www.greenstone.org/skinning"
-  extension-element-prefixes="java util"
-  exclude-result-prefixes="java util">
+  extension-element-prefixes="java"
+  exclude-result-prefixes="java">
 
   
@@ -16,10 +16,10 @@
       <head>
 	<title>
-	  <gslib:siteHomePageTitle/>
+	  <xsl:text> </xsl:text>
 	</title>
 	<link rel="stylesheet" href="interfaces/default/style/core.css" type="text/css"/>
       </head>
       
-      <body><gslib:textDirectionAttribute/>
+      <body>
 	
 	<div id="page-wrapper">
@@ -29,10 +29,9 @@
 	  <div id="banner">
 	    <p>
-	      <img src="interfaces/default/images/gsdlhead.gif"><xsl:attribute name="alt"><gslib:greenstoneLogoAlternateText/></xsl:attribute>
-	      </img>
+	      <img src="interfaces/default/images/gsdlhead.gif" class="getTextFor null this.alt.gsdl" />
 	    </p>
 	  </div>
 	  
-	  <div id="content">
+	  <div id="content" class="moz-output-escape">
 	    
 	    <div class="divbar"><gslib:selectACollectionTextBar/></div>
@@ -63,6 +62,4 @@
 		<li><gslib:authenticationLink/></li>
 	      </xsl:for-each>
-	      <!--uncomment the line below to display a library interface link inside a <li>-->
-	      <!--<gslib:libraryInterfaceLink/>-->
 	    </ul>
 	    
@@ -71,8 +68,23 @@
 	  
 	  <div id="footer">
-	    <div class="divbar"><gslib:poweredByGS3TextBar/></div>
+	    <div class="divbar">
+	    	<span class="getTextFor gs3power">&amp;nbsp;</span>	
+	    </div>
 	  </div>
 	  
 	</div>
+	
+	<span class="getTextFor null document.title.gsdl">&amp;nbsp;</span>
+	
+      	<span id="language" style="display: none;"><xsl:value-of select="/page/@lang" /></span>
+      	<span id="interface" style="display: none;"><xsl:value-of select="$interface_name" /></span>
+	
+		<script type="text/javascript">var placeholder = false;</script>
+		<script type="text/javascript" src="jquery.js">
+			<xsl:comment>Filler for browser</xsl:comment>
+		</script>
+		<script type="text/javascript" src="test.js">
+			<xsl:comment>Filler for browser</xsl:comment>
+		</script>
 	
       </body>
Index: main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default/transform/html.xsl
===================================================================
--- main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default/transform/html.xsl	(revision 23632)
+++ main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default/transform/html.xsl	(revision 24007)
@@ -3,7 +3,6 @@
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
   xmlns:java="http://xml.apache.org/xslt/java"
-  xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
-  extension-element-prefixes="java util"
-  exclude-result-prefixes="java util">
+  extension-element-prefixes="java"
+  exclude-result-prefixes="java">
   
   <xsl:output method="html"/>  
@@ -11,12 +10,18 @@
   <xsl:template match="page">
     <html>
-      <head></head>
+      <head>
+      	
+      </head>
+	  <body>
       <frameset rows="68,*" noresize="" border="0">
-	<frame frameborder="0"><xsl:attribute name="src">?a=p&amp;sa=nav&amp;c=<xsl:value-of select="/page/pageRequest/paramList/param[@name='c']/@value" /></xsl:attribute></frame>
+	<frame frameborder="0"><xsl:attribute name="src">?a=p&amp;amp;sa=nav&amp;amp;c=<xsl:value-of select="/page/pageRequest/paramList/param[@name='c']/@value" /></xsl:attribute></frame>
 	<frame frameborder="0"><xsl:attribute name="src"><xsl:value-of select="/page/pageRequest/paramList/param[@name='url']/@value"/></xsl:attribute></frame>
 	<noframes>
-	  <p><xsl:value-of select="util:getInterfaceText('default', /page/@lang, 'textframebrowser')"/></p>
+	  <p class="getTextFor textframebrowser">&amp;amp;nbsp;</p>
 	</noframes>
       </frameset>
+		<script type="text/javascript" src="jquery.js"><!-- jQuery --></script>
+		<script type="text/javascript" src="test.js"><!-- Scripts for client side XSL transformations --></script>
+	  </body>
     </html>
   </xsl:template>
Index: main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default/transform/icons.xsl
===================================================================
--- main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default/transform/icons.xsl	(revision 23632)
+++ main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default/transform/icons.xsl	(revision 24007)
@@ -1,9 +1,5 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
 <xsl:stylesheet version="1.0"
-  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
-  xmlns:java="http://xml.apache.org/xslt/java"
-  xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
-  extension-element-prefixes="java util"
-  exclude-result-prefixes="java util">
+  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  
   <!-- some global parameters - these are set by whoever is invoking the transformation -->
@@ -19,10 +15,8 @@
 	  <xsl:when test="documentNode">
 	    <xsl:call-template name="openbookimg">
-	      <xsl:with-param name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'close_book')"/></xsl:with-param>
 	    </xsl:call-template>
 	  </xsl:when>
 	  <xsl:otherwise>
 	    <xsl:call-template name="closedbookimg">
-	      <xsl:with-param name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'open_book')"/></xsl:with-param>
 	    </xsl:call-template>
 	  </xsl:otherwise>
@@ -35,10 +29,8 @@
 	  <xsl:when test="documentNode">
 	    <xsl:call-template name="openfolderimg">
-	      <xsl:with-param name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'close_folder')"/></xsl:with-param>
 	    </xsl:call-template>
 	  </xsl:when>
 	  <xsl:otherwise>
 	    <xsl:call-template name="closedfolderimg">
-	      <xsl:with-param name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'open_folder')"/></xsl:with-param>
 	    </xsl:call-template>
 	  </xsl:otherwise>
@@ -49,5 +41,4 @@
       <xsl:otherwise>
 	<xsl:call-template name="textpageimg">
-	  <xsl:with-param name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'view_document')"/></xsl:with-param>
 	</xsl:call-template>
       </xsl:otherwise>
@@ -56,41 +47,40 @@
 
   <xsl:template name="openbookimg">
+  	<xsl:param name="title"/>
     <xsl:param name="alt"/>
-    <xsl:param name="title"/>
     <img  border="0" width="28" height="23"
       src="interfaces/default/images/openbook.gif"
-      alt="{$alt}" title="{$title}"/>
+      alt="{$alt}" class="getTextFor null this.title.{$title}" />
   </xsl:template>
 
   <xsl:template name="closedbookimg">
     <xsl:param name="alt"/>
-    <xsl:param name="title"/>
     <img border="0" width="18" height="11"
       src="interfaces/default/images/book.gif"
-      alt="{$alt}" title="{$title}"/>
+      alt="{$alt}" class="getTextFor null this.title.open_book" />
   </xsl:template>
 
   <xsl:template name="openfolderimg">
+  	<xsl:param name="title"/>
     <xsl:param name="alt"/>
-    <xsl:param name="title"/>
     <img border="0" width="23" height="15"
       src="interfaces/default/images/openfldr.gif"
-      alt="{$alt}" title="{$title}"/>
+      alt="{$alt}" class="getTextFor null this.title.{$title}" />
   </xsl:template>
 
   <xsl:template name="closedfolderimg">
+  	<xsl:param name="title"/>
     <xsl:param name="alt"/>
-    <xsl:param name="title"/>
     <img  border="0" width="23" height="15"
       src="interfaces/default/images/clsdfldr.gif"
-      alt="{$alt}" title="{$title}"/>
+      alt="{$alt}" class="getTextFor null this.title.{$title}" />
   </xsl:template>
 
   <xsl:template name="textpageimg">
     <xsl:param name="alt"/>
-    <xsl:param name="title"/>
     <img  border="0" width="16" height="21"
       src="interfaces/default/images/itext.gif"
-      alt="{$alt}" title="{$title}"/>
+      alt="{$alt}" class="getTextFor null this.title.view_document,parent.class.text:'clientDocView'" />
+    <span><xsl:value-of select="$alt" /></span>
   </xsl:template>
 
@@ -105,16 +95,14 @@
   <xsl:template name="iconpdf">
     <xsl:param name="alt">PDF</xsl:param>
-    <xsl:param name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'texticonpdf')"/></xsl:param>
     <img border="0" width='26' height='26' 
       src='interfaces/default/images/ipdf.gif' 
-      alt='{$alt}' title='{$title}'/>
+      alt='{$alt}' class="getTextFor null this.title.texticonpdf" />
   </xsl:template>
   
   <xsl:template name="icondoc">
     <xsl:param name="alt">Word</xsl:param>
-    <xsl:param name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'texticonmsword')"/></xsl:param>
     <img border="0" width='26' height='26' 
       src='interfaces/default/images/imsword.gif' 
-      alt='{$alt}' title='{$title}'/>
+      alt='{$alt}' class="getTextFor null this.title.texticonmsword" />
   </xsl:template>
 
Index: main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default/transform/library.xsl
===================================================================
--- main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default/transform/library.xsl	(revision 23632)
+++ main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default/transform/library.xsl	(revision 24007)
@@ -4,6 +4,5 @@
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
   xmlns:gslib="http://www.greenstone.org/XSL/Library"
-  exclude-result-prefixes="util xalan gslib gsf xslt gs3">
-  
+  exclude-result-prefixes="gslib">
   
   <xsl:output
Index: main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default/transform/nav.xsl
===================================================================
--- main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default/transform/nav.xsl	(revision 23632)
+++ main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default/transform/nav.xsl	(revision 24007)
@@ -3,7 +3,6 @@
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
   xmlns:java="http://xml.apache.org/xslt/java"
-  xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
-  extension-element-prefixes="java util"
-  exclude-result-prefixes="java util">
+  extension-element-prefixes="java"
+  exclude-result-prefixes="java">
   
   <!-- style includes global params interface_name, library_name -->
Index: main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default/transform/pref.xsl
===================================================================
--- main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default/transform/pref.xsl	(revision 23632)
+++ main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default/transform/pref.xsl	(revision 24007)
@@ -3,7 +3,6 @@
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
   xmlns:java="http://xml.apache.org/xslt/java"
-  xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
-  extension-element-prefixes="java util"
-  exclude-result-prefixes="java util">
+  extension-element-prefixes="java"
+  exclude-result-prefixes="java">
   
   <!-- style includes global params interface_name, library_name -->
@@ -29,4 +28,5 @@
 	  <xsl:call-template name="greenstoneFooter"/>
 	</div>
+		<xsl:call-template name="pageTitleDeferred" />
       </body>
     </html>
@@ -34,5 +34,9 @@
   
   <xsl:template name="pageTitle">
-    <xsl:choose><xsl:when test="/page/pageResponse/*/displayItem[@name='name']"><xsl:value-of select="/page/pageResponse/*/displayItem[@name='name']"/></xsl:when><xsl:otherwise><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'gsdl')"/></xsl:otherwise></xsl:choose>: <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref_t')"/>
+    <xsl:choose><xsl:when test="/page/pageResponse/*/displayItem[@name='name']"><xsl:value-of select="/page/pageResponse/*/displayItem[@name='name']"/></xsl:when><xsl:otherwise></xsl:otherwise></xsl:choose>
+  </xsl:template>
+  
+  <xsl:template name="pageTitleDeferred">
+  	    <xsl:choose><xsl:when test="/page/pageResponse/*/displayItem[@name='name']"></xsl:when><xsl:otherwise><span class="getTextFor null document.title.gsdl,document.title.text:' : '[a],document.title.pref_t[a]"></span>:</xsl:otherwise></xsl:choose>
   </xsl:template>
 
@@ -59,5 +63,5 @@
 	<input type='hidden' name='sa' value='pref'/>
 	<input type='hidden' name='c' value="{$collName}"/>
-	<div class="formheading"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref.prespref')"/></div>
+	<div class="formheading"><span class="getTextFor pref.prespref"></span></div>
 	<ul id="presprefs"><xsl:call-template name="pres-prefs"/></ul>
 	<ul id="berrybasketprefs" ><xsl:call-template name="berrybasket-prefs"/></ul>
@@ -67,7 +71,7 @@
 	</xsl:if>
 	
-	<div class="formheading"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref.searchpref')"/></div>
+	<div class="formheading"><span class="getTextFor pref.searchpref"></span></div>
 	<ul id="searchprefs"><xsl:call-template name="search-prefs"/></ul>
-	<input type='submit'><xsl:attribute name="value"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref.set_prefs')"/></xsl:attribute></input>
+	<input type='submit' class="getTextFor null this.value.pref.set_prefs" id="test"></input>
       </form>
     </div>
@@ -75,6 +79,7 @@
   
   <xsl:template name="pres-prefs">
-    <li><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref.interfacelang')"/> <xsl:call-template name="lang-list"/></li>
-    <li><span class="rightspace"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref.encoding')"/></span>x</li>
+  	<li><span class="getTextFor pref.interfacelang"></span></li>
+    <li><xsl:call-template name="lang-list"/></li>
+    <li><span class="rightspace"><span class="getTextFor pref.encoding"></span></span>x</li>
   </xsl:template>
   
@@ -90,10 +95,10 @@
   <xsl:template name="search-prefs">
     <xsl:variable name="hits"><xsl:choose><xsl:when test="/page/pageRequest/paramList/param[@name='hitsPerPage']"><xsl:value-of select="/page/pageRequest/paramList/param[@name='hitsPerPage']/@value"/></xsl:when><xsl:otherwise>20</xsl:otherwise></xsl:choose></xsl:variable> 
-    <li><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref.hitsperpage')"/> 
+    <li><span class="getTextFor pref.hitsperpage">&amp;amp;nbsp;</span> 
       <select name="hitsPerPage">
 	<option value="20"><xsl:if test="$hits=20"><xsl:attribute name="selected"></xsl:attribute></xsl:if>20</option> 
 	<option value="50"><xsl:if test="$hits=50"><xsl:attribute name="selected"></xsl:attribute></xsl:if>50</option>
 	<option value="100"><xsl:if test="$hits=100"><xsl:attribute name="selected"></xsl:attribute></xsl:if>100</option>
-	<option value="-1"><xsl:if test="$hits=-1"><xsl:attribute name="selected"></xsl:attribute></xsl:if><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref.all')"/></option>
+	<option value="-1" class="getTextFor pref.all"><xsl:if test="$hits=-1"><xsl:attribute name="selected"></xsl:attribute></xsl:if></option>
       </select>
     </li>
@@ -103,7 +108,7 @@
     <xsl:variable name="berrybasket"><xsl:choose><xsl:when test="/page/pageRequest/paramList/param[@name='berrybasket']"><xsl:value-of select="/page/pageRequest/paramList/param[@name='berrybasket']/@value"/></xsl:when><xsl:otherwise>off</xsl:otherwise></xsl:choose></xsl:variable>
     
-    <li><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref.berrybasket')"/> <select name="berrybasket">
-        <option value="on"><xsl:if test="$berrybasket='on'"><xsl:attribute name="selected"></xsl:attribute></xsl:if><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref.berrybasket.on')"/></option> 
-	<option value="off"><xsl:if test="$berrybasket='off'"><xsl:attribute name="selected"></xsl:attribute></xsl:if><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref.berrybasket.off')"/></option>
+    <li><span class="getTextFor pref.berrybasket">&amp;amp;nbsp;</span> <select name="berrybasket">
+        <option value="on" class="getTextFor pref.berrybasket.on"><xsl:if test="$berrybasket='on'"><xsl:attribute name="selected"></xsl:attribute></xsl:if></option> 
+	<option value="off" class="getTextFor pref.berrybasket.off"><xsl:if test="$berrybasket='off'"><xsl:attribute name="selected"></xsl:attribute></xsl:if></option>
       </select>
     </li>
@@ -113,7 +118,7 @@
     <xsl:variable name="book"><xsl:choose><xsl:when test="/page/pageRequest/paramList/param[@name='book']"><xsl:value-of select="/page/pageRequest/paramList/param[@name='book']/@value"/></xsl:when><xsl:otherwise>off</xsl:otherwise></xsl:choose></xsl:variable>
     
-    <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref.book')"/> <select name="book">
-      <option value="on"><xsl:if test="$book='on'"><xsl:attribute name="selected"></xsl:attribute></xsl:if><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref.berrybasket.on')"/></option> 
-      <option value="off"><xsl:if test="$book='off'"><xsl:attribute name="selected"></xsl:attribute></xsl:if><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref.berrybasket.off')"/></option>
+    <span class="getTextFor pref.book">&amp;amp;nbsp;</span> <select name="book">
+      <option value="on" class="getTextFor pref.berrybasket.on"><xsl:if test="$book='on'"><xsl:attribute name="selected"></xsl:attribute></xsl:if></option> 
+      <option value="off" class="getTextFor pref.berrybasket.off"><xsl:if test="$book='off'"><xsl:attribute name="selected"></xsl:attribute></xsl:if></option>
     </select>
     
Index: main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default/transform/process.xsl
===================================================================
--- main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default/transform/process.xsl	(revision 23632)
+++ main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default/transform/process.xsl	(revision 24007)
@@ -3,7 +3,6 @@
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
   xmlns:java="http://xml.apache.org/xslt/java"
-  xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
-  extension-element-prefixes="java util"
-  exclude-result-prefixes="java util">
+  extension-element-prefixes="java"
+  exclude-result-prefixes="java">
 
   <!-- style includes global params interface_name, library_name -->
@@ -83,5 +82,5 @@
     <center/>
     <applet code="org.greenstone.gsdl3.build.StatusDisplay.class" codebase='lib' archive='gsdl3.jar, xercesImpl.jar, xml-apis.jar' width='600' height='150'>The status display applet.
-      <param name='library'><xsl:attribute name="value"><xsl:value-of select='$library_name'/>?a=pr&amp;rt=s&amp;c=<xsl:value-of select='$clusterName'/>&amp;s=<xsl:value-of select='/page/pageResponse/service/@name'/>&amp;o=xml&amp;ro=1&amp;l=<xsl:value-of select='/page/@lang'/>&amp;pid=<xsl:value-of select="@pid"/><xsl:apply-templates select="/page/pageResponse/service/paramList" mode="cgi"/></xsl:attribute></param>
+      <param name='library'><xsl:attribute name="value"><xsl:value-of select='$library_name'/>?a=pr&amp;amp;rt=s&amp;amp;c=<xsl:value-of select='$clusterName'/>&amp;amp;s=<xsl:value-of select='/page/pageResponse/service/@name'/>&amp;amp;o=xml&amp;amp;ro=1&amp;amp;l=<xsl:value-of select='/page/@lang'/>&amp;amp;pid=<xsl:value-of select="@pid"/><xsl:apply-templates select="/page/pageResponse/service/paramList" mode="cgi"/></xsl:attribute></param>
       <param name='initial_text'><xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute></param>
       <param name='initial_code'><xsl:attribute name="value"><xsl:value-of  select="@code"/></xsl:attribute></param></applet>
Index: main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default/transform/query.xsl
===================================================================
--- main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default/transform/query.xsl	(revision 23632)
+++ main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default/transform/query.xsl	(revision 24007)
@@ -3,7 +3,6 @@
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
   xmlns:java="http://xml.apache.org/xslt/java"
-  xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
-  extension-element-prefixes="java util"
-  exclude-result-prefixes="java util">
+  extension-element-prefixes="java"
+  exclude-result-prefixes="java">
   
   <!-- style includes global params interface_name, library_name -->
@@ -21,5 +20,5 @@
 	<title>
 	  <!-- put a space in the title in case the actual value is missing - mozilla will not display a page with no title-->
-	  <xsl:call-template name="pageTitle"/><xsl:text> </xsl:text>
+	  <xsl:text> </xsl:text>
 	</title>
 	<xsl:call-template name="globalStyle"/>
@@ -27,4 +26,5 @@
       </head>
       <body>
+    
 	<xsl:attribute name="dir"><xsl:call-template name="direction"/></xsl:attribute>
 	<div id="page-wrapper">
@@ -32,4 +32,5 @@
 	  <xsl:call-template name="greenstoneFooter"/>
 	</div>
+	<xsl:call-template name="pageTitle"/>
       </body>
     </html>
@@ -39,5 +40,5 @@
 
   <xsl:template name="pageTitle">
-    <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'gsdl')"/>
+    <span class="getTextFor null document.title.gsdl"></span>
   </xsl:template>
 
@@ -81,5 +82,5 @@
   <xsl:template name="query-response">
     <xsl:param name="collName"/>
-    <xsl:call-template name="dividerBar"><xsl:with-param name='text'><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'query.results')"/></xsl:with-param></xsl:call-template>
+    <xsl:call-template name="dividerBar"><xsl:with-param name='text'>query.results</xsl:with-param></xsl:call-template>
     
     <!-- If query term information is available, display it -->
Index: main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default/transform/querytools.xsl
===================================================================
--- main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default/transform/querytools.xsl	(revision 23632)
+++ main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default/transform/querytools.xsl	(revision 24007)
@@ -3,7 +3,6 @@
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
   xmlns:java="http://xml.apache.org/xslt/java"
-  xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
-  extension-element-prefixes="java util"
-  exclude-result-prefixes="java util">
+  extension-element-prefixes="java"
+  exclude-result-prefixes="java">
 
   <!-- have changed this so it uses service hitsPerPage and startPage if the service description has a param called hitsPerPage,  otherwise uses interface ones -->
@@ -61,5 +60,5 @@
 	<div>   
 	  <div>
-	    <xsl:if test="$here &gt; 1"><a href="{$library_name}?a=q&amp;sa={$sa}&amp;c={$collName}&amp;s={$service}&amp;rt=rd&amp;{$page-param}={$prev}"><img src="interfaces/default/images/less.gif" width='30' height='16' border='0' align='top'/><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'query.matches')"/><xsl:text> </xsl:text><xsl:value-of select="number(($prev - 1)*$hpp + 1)"/> - <xsl:value-of select="number(($prev * $hpp))"/></a></xsl:if>
+	    <xsl:if test="$here &gt; 1"><a href="{$library_name}?a=q&amp;sa={$sa}&amp;c={$collName}&amp;s={$service}&amp;rt=rd&amp;{$page-param}={$prev}"><img src="interfaces/default/images/less.gif" width='30' height='16' border='0' align='top'/><span class="getTextFor query.matches"></span><xsl:text> </xsl:text><xsl:value-of select="number(($prev - 1)*$hpp + 1)"/> - <xsl:value-of select="number(($prev * $hpp))"/></a></xsl:if>
 	    
 	    
@@ -67,5 +66,5 @@
 	      <xsl:variable name='m' select="number($next * $hpp)"/>
 	      <xsl:variable name='mm'><xsl:choose><xsl:when test="$m &lt; $td"><xsl:value-of select='$m'/></xsl:when><xsl:otherwise><xsl:value-of select='$td'/></xsl:otherwise></xsl:choose></xsl:variable>
-	      <a href="{$library_name}?a=q&amp;sa={$sa}&amp;c={$collName}&amp;s={$service}&amp;rt=rd&amp;{$page-param}={$next}"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'query.matches')"/><xsl:text> </xsl:text><xsl:value-of select="number(($next - 1)*$hpp + 1)"/> - <xsl:value-of select="$mm"/><img src="interfaces/default/images/more.gif" width='30' height='16' border='0' align='top'/></a></xsl:if></div>
+	      <a href="{$library_name}?a=q&amp;sa={$sa}&amp;c={$collName}&amp;s={$service}&amp;rt=rd&amp;{$page-param}={$next}"><span class="getTextFor query.matches"></span><xsl:text> </xsl:text><xsl:value-of select="number(($next - 1)*$hpp + 1)"/> - <xsl:value-of select="$mm"/><img src="interfaces/default/images/more.gif" width='30' height='16' border='0' align='top'/></a></xsl:if></div>
 	</div>
       </xsl:if>
@@ -80,15 +79,15 @@
       <xsl:choose>
 	<xsl:when test="$numDocsMatched='0' or $numDocsReturned='0'">
-	  <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'query.nodocsmatch')"/>
+		<span class="getTextFor query.nodocsmatch"></span>
 	</xsl:when>
 	<xsl:when test="$numDocsMatched='1' or $numDocsReturned='1'">
-	  <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'query.onedocsmatch')"/>
+		<span class="getTextFor query.onedocsmatch"></span>
 	</xsl:when>
 	<xsl:when test="$numDocsMatched">
-	  <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'query.manydocsmatch', $numDocsMatched)"/>
-	  <xsl:if test="$numDocsReturned"> (<xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'query.docsreturned', $numDocsReturned)"/>)</xsl:if>
+	  <span><xsl:attribute name="class"><xsl:value-of select="concat('getTextFor null this.innerText.query.manydocsmatch|', $numDocsMatched)"/></xsl:attribute></span>
+	  <xsl:if test="$numDocsReturned"> (<span><xsl:attribute name="class"><xsl:value-of select="concat('getTextFor null this.innerText.query.docsreturned|', $numDocsReturned)" /></xsl:attribute></span>)</xsl:if>
 	</xsl:when>
 	<xsl:when test="$numDocsReturned">
-	  <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'query.atleastdocsmatch', $numDocsReturned)"/>
+	  <span><xsl:attribute name="class"><xsl:value-of select="concat('getTextFor null this.innerText.query.atleastdocsmatch|', $numDocsReturned)" /></xsl:attribute></span>
 	</xsl:when>
       </xsl:choose>
@@ -136,7 +135,7 @@
     <xsl:param name="serviceName"/>
     <a><xsl:attribute name="href"><xsl:value-of select='$library_name'/>?a=d&amp;c=<xsl:value-of select='$collName'/>&amp;d=<xsl:value-of select='@nodeID'/><xsl:if test="@nodeType='leaf'">&amp;sib=1</xsl:if>&amp;dt=<xsl:value-of select='@docType'/>&amp;p.a=q&amp;&amp;p.sa=<xsl:value-of select="/page/pageRequest/@subaction"/>&amp;p.s=<xsl:value-of select="$serviceName"/></xsl:attribute>
-      <xsl:apply-templates select="." mode="displayNodeIcon"/>
+      <xsl:apply-templates select="." mode="displayNodeIcon"/><xsl:text>sample</xsl:text>
     </a>
-    <span><xsl:value-of disable-output-escaping="yes" select="metadataList/metadata[@name='Title']"/></span>
+    <span><xsl:text>Testing</xsl:text><xsl:value-of disable-output-escaping="yes" select="metadataList/metadata[@name='Title']"/></span>
   </xsl:template>
 
@@ -144,5 +143,5 @@
     <div class="terminfo">
       <xsl:if test="count(termList/term) > 0">
-	<xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'query.wordcount')"/>
+      <span class="getTextFor query.wordcount">&amp;nbsp;</span>
 	<xsl:for-each select="termList/term">
 	  <xsl:if test="position() > 1">, </xsl:if>
